## calf 0.0.18.5

=== debian/changelog ===
calf (0.0.18.5-1) unstable; urgency=low

  * Initial release (Closes: #522151)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Feb 2010 21:27:47 +0100
