=== debian/control ===
Source: calf
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>, Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs, autotools-dev, devscripts (>= 2.10.7), debhelper (>= 6), dh-buildinfo, libglib2.0-dev, libgtk2.0-dev (>= 2.8), libglade2-dev (>= 2.4), libreadline-dev, libexpat1-dev, libasound2-dev [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc], ladspa-sdk, dssi-dev, libjack-dev (>= 0.103.0), liblash-dev (>= 0.5.2), lv2core, devscripts
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://calf.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/calf.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/calf.git;a=summary

Package: calf-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: pack of audio plugins - effects and instruments
 The Calf project aims at providing a set of high quality open source 
 audio plugins for musicians. All the included plugins are designed to 
 be used with multitrack software, as software replacement for 
 instruments and guitar stomp boxes.
