=== debian/watch ===
version=3

http://sf.net/calf/calf-([\d\.]+)\.tar\.gz
