## calf 0.0.18.6

=== debian/changelog ===
calf (0.0.18.6-5ubuntu1) quantal; urgency=low

  * Build depend on libtool to fix build failure.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Sep 2012 20:55:07 +0200

calf (0.0.18.6-5) unstable; urgency=low

  * Team upload.
  * Migrate from lv2core to lv2-dev.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 May 2012 22:17:38 +0200

calf (0.0.18.6-4) unstable; urgency=low

  [ Alessio Treglia ]
  * Add patch 0001 to migrate from libglade2 to gtkBuilder.
    Stop build-depending on libglade2-dev.

  [ Jonas Smedegaard ]
  * Bump debhelper compat level to 7.
  * Bump standards-version to 3.9.3.
  * Git-ignore .pc quilt subdir.
  * Use linux-any wildcard for libasound dependency.
    Stop build-depending on devscripts.
  * Relax to build-depend unversioned on libgtk2.0-dev, debhelper and
    libjack-dev: Required versions satisfied even in oldstable.
  * Extend my copyright for Debian packaging.
  * Rewrite copyright file using format 1.0.
  * Add patch 1001 to fix FTBFS with gcc 4.7 by including <unistd.h>.
    Closes: bug#667126. Thanks to Cyril Brulebois.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Apr 2012 12:04:07 +0200

calf (0.0.18.6-3) unstable; urgency=low

  * Team upload.

  [ Jonas Smedegaard ]
  * Adjust copyright file:
    + Extend some years.
    + Fix mention licensing exception in Files stanzas.
    + Fix use Expat as licensing short-name.
  * Suppress optional CDBS-resolved build-dependencies.

  [ Alessio Treglia ]
  * Drop LASH support.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 May 2011 08:49:06 +0200

calf (0.0.18.6-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Tidy copyright file: Adjust a few stanzas and declare it formatted
    according to draft DEP5 rev135.
  * Fix add a missed owner to copyright file (no new licenses).
  * Drop local CDBS snippets and locally declared DEB_MAINTAINER_MODE:
    All part of main CDBS now.
  * Refer to FSF website (not postal address) in rules file header.
  * Fix ALSA build-dependency auto-resolving (CDBS no longer horribly
    executes control.in file as a shell script).
  * Improve watch file: Add usage comment; relax pattern to non-digit
    versions and non-gzip tarball compression.
  * Fix DEP5 synatx of copyright file: append ./ in all files sections.
  * Improve copyright file: Refer to FSF website (not postal address),
    and put reference below Debian-specific comment to hint that it is
    not verbatim copied.

  [ Alessio Treglia ]
  * debian/control: Add Provides: lv2-plugin field.

  [ Adrian Knoth ]
  * Imported Upstream version 0.0.18.6
  * Bump standards version

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 24 Aug 2010 17:28:19 +0200
