=== debian/control ===
Source: calf
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>, Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs, libtool,
 autotools-dev,
 debhelper,
 dh-buildinfo,
 libglib2.0-dev,
 libgtk2.0-dev,
 libreadline-dev,
 libexpat1-dev,
 libasound2-dev [linux-any],
 ladspa-sdk,
 dssi-dev,
 libjack-dev,
 lv2-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: http://calf.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/calf.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/calf.git;a=summary

Package: calf-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: lv2-plugin
Description: pack of audio plugins - effects and instruments
 The Calf project aims at providing a set of high quality open source 
 audio plugins for musicians. All the included plugins are designed to 
 be used with multitrack software, as software replacement for 
 instruments and guitar stomp boxes.
