## calf 0.0.19

=== debian/changelog ===
calf (0.0.19-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Add git URL as alternate source.
  * Build-depend on dh-buildinfo: Backports- and multiarch-friendly
    nowadays.
  * Do copyright-check by default: Backports-friendly nowadays.
    Build-depend on devscripts.
  * Simplify moving aside upstream cruft.
    Tighten build-dependency on cdbs.
    Fix use pseudo-comment sections in copyright file to obey silly
    restrictions of copyright format 1.0.
  * Bump packaging license to GPL-3+, and extend coverage to include
    current year.
  * Have git-buildpackage ignore upstream .gitignore files.
  * Enable build of experimental plugins.
  * Rewrite short and long descriptions, based on About page of recently
    added documentation.
  * Suggest ladish, and add hint in long description on when it is
    useful.
  * Fix build-depend explicitly on libcairo2-dev, and fix recommend
    gtk2-engines-pixbuf: Both needed since 0.0.19.
  * Fix stop build-depend on ladspa-sdk or dssi-dev: Unused since
    0.0.19.
  * Drop obsolete and unused patches.
  * Simplify patch 1002 to not include autogenerated file.

  [ Adrian Knoth ]
  * Bump standards version
  * Drop obsolete DMUA flag
  * Put aside upstream-shipped configure
  * Generate configure during build process
  * Build-depend on libtool (Closes: #702613)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 08 Aug 2013 18:08:47 +0200

calf (0.0.19-1) experimental; urgency=low

  * New upstream release.
  * Depends on libfftw3-dev and libfluidsynth-dev.
  * Remove patches which doesn't seem to be useful anymore.
  * Rewrite patch to use lv2-dev rather than dummy lv2core.
  * Empty the dependency_libs field in .la file.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 19 Nov 2012 18:50:19 -0500
