## calf 0.0.19+git20131202

=== debian/changelog ===
calf (0.0.19+git20131202-1) unstable; urgency=low

  * Imported Upstream version 0.0.19+git20131202

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 02 Dec 2013 22:23:51 +0100
