=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  autotools-dev,
  devscripts,
  autoconf,
+ dh-autoreconf,
  debhelper,
  dh-buildinfo,
  libglib2.0-dev,
