=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/calf
@@ -41,7 +42,7 @@
 LDFLAGS += -Wl,--as-needed
 
 # put aside upstream-shipped temp files during build but after copyright-check
-DEB_UPSTREAM_CRUFT_MOVE = calf.desktop configure
+DEB_UPSTREAM_CRUFT_MOVE = calf.desktop configure INSTALL
 
 install/calf-plugins::
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
