## calf 0.0.19+git20140527+e79ddef54

=== debian/changelog ===
calf (0.0.19+git20140527+e79ddef54-1) unstable; urgency=medium

  [ Adrian Knoth ]
  * Imported Upstream version 0.0.19+git20140527+e79ddef54
  * Bump standards version
  * Fix typo in package description (Closes: #745285)
  * Regenerate control

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 27 May 2014 20:48:47 +0000
