=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  Jonas Smedegaard <dr@jones.dk>,
  Tiago Bortoletto Vaz <tiago@debian.org>
 Build-Depends: cdbs (>= 0.4.106~),
- autotools-dev,
  devscripts,
  autoconf,
  dh-autoreconf,
@@ -23,7 +22,7 @@
  libasound2-dev [linux-any],
  lv2-dev,
  libtool
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://calf.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/calf.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/calf.git;a=summary
@@ -43,7 +42,7 @@
  plugin-capable audio software like Ardour, Rosegarden and others.
  .
  The Calf Rack offers you all Calf effects and synthesizers in an
- easy-to-use studio rack. Wire the effects trough Jack to build your own
+ easy-to-use studio rack. Wire the effects through Jack to build your own
  studio environment and trigger the sound processors live or through a
  MIDI sequencer or tracker.
  .
