## calf 0.0.19+git20140915+5de5da28

=== debian/changelog ===
calf (0.0.19+git20140915+5de5da28-1) unstable; urgency=medium

  * Imported Upstream version 0.0.19+git20140915+5de5da28 (Closes: #759833)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 15 Sep 2014 22:19:42 +0200
