## calf 0.0.60

=== debian/changelog ===
calf (0.0.60-2) unstable; urgency=medium

  * Extract metadata from images before copyright check.
    Build-depend on libimage-exiftool-perl libregexp-assemble-perl
    libipc-system-simple-perl lcdf-typetools.
  * Update Vcs-Git and Vcs-Browser URLs.
  * Update copyright info:
    + Fix extend coverage for main upstream authors
    + Fix bump packaging license to GPL-3+.
    + Fix update Files sections for autotools scripts and LV2 headers.
    + Fix add Files sections for jQuery-related code, and License
      sections ISC Expat.
    + Merge same-license Files sections.
    + Extend coverage of packaging.
    + Use License short-names FSFUL (and derivations) and X11.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Unfuzz patch 1002, and tidy its DEP-3 header.
  * Revive documentation (gutted in 0.0.60-1):
    + Add patch 1001 to resolve paths from autoconf.
    + Add patch 2001 to use jQuery.colorbox (not jQuery.prettyPhoto).
    + Adjust location of documentation.
    + Symlink separately packaged Javascript.
    + (Build-)depend on libjs-jquery libjs-jquery-colorbox.
    + Stop strip documentation (now DFSG compliant).
    + Put aside and regenerate autotools during build.
    + Stop include autoreconf.mk.
    + Stop build-depend on dh-autoreconf.
    + Tighten build-dependency on cdbs: Needed for routines to put
      upstream autotools files aside during build.
  * Update Homepage.
  * Update source URLs.
  * Declare compliance with Debian Policy 3.9.7.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Fix rename TODO file got get included in binary package, and drop
    done items.
  * Modernize git-buildpackage config: Avoid git- prefix.
  * Override lintian for jquery.prettyPhoto.js missing source: False
    positive.
  * Enable SSE flags for AMD64.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Mar 2016 11:23:34 +0100

calf (0.0.60-1) unstable; urgency=low

  [ Aurelien Martin ]
  * Imported Upstream version 0.0.60 (Closes: #783413)

  [ Adrian Knoth ]
  * Drop /usr/share/doc/calf/ to work around lintian errors

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 07 May 2015 14:42:11 +0200
