=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Jonas Smedegaard <dr@jones.dk>,
  Tiago Bortoletto Vaz <tiago@debian.org>
-Build-Depends: cdbs (>= 0.4.106~),
+Build-Depends: cdbs (>= 0.4.123~),
+ autotools-dev,
  devscripts,
+ automake,
  autoconf,
- dh-autoreconf,
  debhelper,
  dh-buildinfo,
  libglib2.0-dev,
@@ -21,15 +22,21 @@
  libcairo2-dev,
  libasound2-dev [linux-any],
  lv2-dev,
- libtool
-Standards-Version: 3.9.5
-Homepage: http://calf.sourceforge.net/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/calf.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/calf.git;a=summary
+ libtool,
+ libimage-exiftool-perl,
+ libregexp-assemble-perl,
+ libipc-system-simple-perl,
+ lcdf-typetools,
+ libjs-jquery,
+ libjs-jquery-colorbox
+Standards-Version: 3.9.7
+Homepage: http://calf-studio-gear.org/
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/calf.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/calf.git
 
 Package: calf-plugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${cdbs:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: gtk2-engines-pixbuf
 Suggests: ladish
 Provides: lv2-plugin
