=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
https://github.com/calf-studio-gear/calf/tags .*/archive/(\d.*).tar.gz
